<mamecheat version="1">

  <cheat desc="Infinite Time">
    <script state="run">
      <action>maincpu.pb@E6370=63</action>
    </script>
  </cheat>

  <cheat desc="Select Starting Level">
    <parameter min="1" max="6" step="1"/>
    <script state="run">
      <action condition="(maincpu.pb@E0002==00)">maincpu.pb@E0002=(param-1)</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL1">
    <script state="run">
      <action>maincpu.pb@E61C2=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility  PL1">
    <script state="run">
      <action>maincpu.pb@E011E=64</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo PL1">
    <script state="run">
      <action>maincpu.pw@((maincpu.pw@E013A)+E0020)=03E7</action>
    </script>
  </cheat>

  <cheat desc=" "/>

  <cheat desc="Infinite Lives PL2">
    <script state="run">
      <action>maincpu.pb@E61C4=09</action>
    </script>
  </cheat>

  <cheat desc="Invincibility PL2">
    <script state="run">
      <action>maincpu.pb@E015E=64</action>
    </script>
  </cheat>

  <cheat desc="Infinite Ammo PL2">
    <script state="run">
      <action>maincpu.pw@((maincpu.pw@E017A)+E0020)=03E7</action>
    </script>
  </cheat>

</mamecheat>
<!-- Cheat file downloaded from http://www.mamecheat.co.uk, see cheat.txt for list of contributors. -->
